import { OnInit, EventEmitter } from '@angular/core';
import { ModalControl } from '../../../modal-control/modal-control.component';
import { SettingService } from '../../../../services/setting/setting.service';
import { GridOption, GridColumn, GridItem } from '../../grid-control.model';
export declare class GridPopupEditorComponent implements OnInit {
    private settingService;
    modal: ModalControl;
    save: EventEmitter<GridItem>;
    columns: GridColumn[];
    gridOption: GridOption;
    item: GridItem;
    constructor(settingService: SettingService);
    ngOnInit(): void;
    setGridOption(gridOption: GridOption): void;
    open(item: GridItem): void;
    onCancel(): void;
    onSave(): void;
}
